Subject: [RFC 0/5] console/acpi: add DBG2 and SPCR console configuration

From: [email-masked] (Christopher Covington)
Date: Tue, 12 Jan 2016 10:14:09 -0500

Hi,

On 09/08/2015 08:43 AM, Leif Lindholm wrote:
> Support for configuring bootconsole and console via the ACPI tables
> DBG2 (Debug Port Table 2) [1] and SPCR (Serial Port Console Redirection
> Table) [2], defined by Microsoft, has been discussed on and off over the
> years.
> 
> [1] https://msdn.microsoft.com/en-us/library/windows/hardware/dn639131(v=vs.85).aspx
> [2] https://msdn.microsoft.com/en-us/library/windows/hardware/dn639132(v=vs.85).aspx
> 
> Licensing concerns have prevented this happening in the past, but as of
> 10 August 2015, these tables have both been released also under OWF 1.0
> (http://www.openwebfoundation.org/legal/the-owf-1-0-agreements/owfa-1-0)
> which is think is noncontroversially GPL-compatible?
> 
> This set is a first attempt at implementing this.
> 
> Submitting as an RFC since the SPCR handling currently depends on the
> console driver being initialized after subsystem initcalls. Workaround
> to enable testing surrounding infrastructure in 5/5, _really_ not
> intended to be merged.
> (Suggestions for acceptable ways of working around this appreciated.)

What's required for this to graduate from RFC status? Is anyone working
on it?

Thanks,
Christopher Covington

-- 
Qualcomm Innovation Center, Inc.
Qualcomm Innovation Center, Inc. is a member of Code Aurora Forum,
a Linux Foundation Collaborative Project